# DASetRefinementFactor

Set the ratios that the DA grid is refined

### Synopsis

    #include "petscda.h"
    PetscErrorCode PETSCDM_DLLEXPORT DASetRefinementFactor(DA da, PetscInt refine_x, PetscInt refine_y,PetscInt refine_z)

Collective on DA

### Input Parameters

| da | - the DA object
| refine_x | - ratio of fine grid to coarse in x direction (2 by default)
| refine_y | - ratio of fine grid to coarse in y direction (2 by default)
| refine_z | - ratio of fine grid to coarse in z direction (2 by default)

### Options Database

| -da_refine_x | - refinement ratio in x direction
| -da_refine_y | - refinement ratio in y direction
| -da_refine_y | - refinement ratio in z direction

Notes: Pass PETSC_IGNORE to leave a value unchanged

### See Also

DARefine(), DAGetRefinementFactor()

Level:intermediate
Location: src/dm/da/src/da2.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages